Page MenuHomePhabricator

[libcxxabi] Remove unnecessary define from build
ClosedPublic

Authored by smeenai on May 12 2021, 2:49 PM.

Details

Reviewers
phosek
Group Reviewers
Restricted Project
Commits
rG6c05f2dab384: [libcxxabi] Remove unnecessary define from build
Summary

Now that we're passing -D_LIBCPP_BUILDING_LIBRARY to the libc++abi
build, -D_LIBCPP_ENABLE_CXX17_REMOVED_UNEXPECTED_FUNCTIONS is redundant
(https://github.com/llvm/llvm-project/blob/fb3a00c327df78eaa534e53ac6f07112e0585121/libcxx/include/exception#L120-L121
is the only use of _LIBCPP_ENABLE_CXX17_REMOVED_UNEXPECTED_FUNCTIONS in
libc++, and that conditional also checks for _LIBCPP_BUILDING_LIBRARY).

Diff Detail

Unit TestsFailed

TimeTest
870 mslibcxx CI C++03 > libc++.libcxx/debug::debug_register.pass.cpp
Script: -- : 'COMPILED WITH'; /usr/bin/clang++ /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/libcxx/debug/debug_register.pass.cpp -v --target=x86_64-unknown-linux-gnu -include /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support/nasty_macros.h -nostdinc++ -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/include/c++/v1 -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/include/c++build -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support -D_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER -std=c++03 -Werror -Wall -Wextra -Wshadow -Wundef -Wno-unused-command-line-argument -Wno-attributes -Wno-pessimizing-move -Wno-c++11-extensions -Wno-user-defined-literals -Wno-noexcept-type -Wno-atomic-alignment -Wsign-compare -Wunused-variable -Wunused-parameter -Wunreachable-code -Wno-unused-local-typedef -D_LIBCPP_DISABLE_AVAILABILITY -fcoroutines-ts -Werror=thread-safety -Wuser-defined-warnings -fmodules-cache-path=/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/test/libcxx/debug/Output/debug_register.pass.cpp.dir/t.tmp/ModuleCache -Wno-macro-redefined -D_LIBCPP_HAS_THREAD_API_PTHREAD -Wno-macro-redefined -D_LIBCPP_ABI_VERSION=1 -D_LIBCPP_DEBUG=1 -lc++experimental -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib…
1,250 mslibcxx CI C++03 > libc++.libcxx/input_output/file_streams/fstreams::fstream.close.pass.cpp
Script: -- : 'COMPILED WITH'; /usr/bin/clang++ /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/libcxx/input.output/file.streams/fstreams/fstream.close.pass.cpp -v --target=x86_64-unknown-linux-gnu -include /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support/nasty_macros.h -nostdinc++ -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/include/c++/v1 -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/include/c++build -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support -D_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER -std=c++03 -Werror -Wall -Wextra -Wshadow -Wundef -Wno-unused-command-line-argument -Wno-attributes -Wno-pessimizing-move -Wno-c++11-extensions -Wno-user-defined-literals -Wno-noexcept-type -Wno-atomic-alignment -Wsign-compare -Wunused-variable -Wunused-parameter -Wunreachable-code -Wno-unused-local-typedef -D_LIBCPP_DISABLE_AVAILABILITY -fcoroutines-ts -Werror=thread-safety -Wuser-defined-warnings -fmodules-cache-path=/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/test/libcxx/input.output/file.streams/fstreams/Output/fstream.close.pass.cpp.dir/t.tmp/ModuleCache -Wno-macro-redefined -D_LIBCPP_HAS_THREAD_API_PTHREAD -Wno-macro-redefined -D_LIBCPP_ABI_VERSION=1 -lc++experimental -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm…
1,040 mslibcxx CI C++03 > libc++.libcxx/localization/locale_categories::__scan_keyword.pass.cpp
Script: -- : 'COMPILED WITH'; /usr/bin/clang++ /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/libcxx/localization/locale.categories/__scan_keyword.pass.cpp -v --target=x86_64-unknown-linux-gnu -include /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support/nasty_macros.h -nostdinc++ -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/include/c++/v1 -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/include/c++build -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support -D_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER -std=c++03 -Werror -Wall -Wextra -Wshadow -Wundef -Wno-unused-command-line-argument -Wno-attributes -Wno-pessimizing-move -Wno-c++11-extensions -Wno-user-defined-literals -Wno-noexcept-type -Wno-atomic-alignment -Wsign-compare -Wunused-variable -Wunused-parameter -Wunreachable-code -Wno-unused-local-typedef -D_LIBCPP_DISABLE_AVAILABILITY -fcoroutines-ts -Werror=thread-safety -Wuser-defined-warnings -fmodules-cache-path=/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/test/libcxx/localization/locale.categories/Output/__scan_keyword.pass.cpp.dir/t.tmp/ModuleCache -Wno-macro-redefined -D_LIBCPP_HAS_THREAD_API_PTHREAD -Wno-macro-redefined -D_LIBCPP_ABI_VERSION=1 -lc++experimental -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx…
1,060 mslibcxx CI C++03 > libc++.std/depr/depr_str_strstreams/depr_istrstream/depr_istrstream_cons::ccp.pass.cpp
Script: -- : 'COMPILED WITH'; /usr/bin/clang++ /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/std/depr/depr.str.strstreams/depr.istrstream/depr.istrstream.cons/ccp.pass.cpp -v --target=x86_64-unknown-linux-gnu -include /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support/nasty_macros.h -nostdinc++ -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/include/c++/v1 -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/include/c++build -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support -D_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER -std=c++03 -Werror -Wall -Wextra -Wshadow -Wundef -Wno-unused-command-line-argument -Wno-attributes -Wno-pessimizing-move -Wno-c++11-extensions -Wno-user-defined-literals -Wno-noexcept-type -Wno-atomic-alignment -Wsign-compare -Wunused-variable -Wunused-parameter -Wunreachable-code -Wno-unused-local-typedef -D_LIBCPP_DISABLE_AVAILABILITY -fcoroutines-ts -Werror=thread-safety -Wuser-defined-warnings -fmodules-cache-path=/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/test/std/depr/depr.str.strstreams/depr.istrstream/depr.istrstream.cons/Output/ccp.pass.cpp.dir/t.tmp/ModuleCache -Wno-macro-redefined -D_LIBCPP_HAS_THREAD_API_PTHREAD -Wno-macro-redefined -D_LIBCPP_ABI_VERSION=1 -lc++experimental -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite…
1,050 mslibcxx CI C++03 > libc++.std/depr/depr_str_strstreams/depr_istrstream/depr_istrstream_cons::ccp_size.pass.cpp
Script: -- : 'COMPILED WITH'; /usr/bin/clang++ /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/std/depr/depr.str.strstreams/depr.istrstream/depr.istrstream.cons/ccp_size.pass.cpp -v --target=x86_64-unknown-linux-gnu -include /home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support/nasty_macros.h -nostdinc++ -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/include/c++/v1 -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/include/c++build -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -I/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/libcxx/test/support -D_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER -std=c++03 -Werror -Wall -Wextra -Wshadow -Wundef -Wno-unused-command-line-argument -Wno-attributes -Wno-pessimizing-move -Wno-c++11-extensions -Wno-user-defined-literals -Wno-noexcept-type -Wno-atomic-alignment -Wsign-compare -Wunused-variable -Wunused-parameter -Wunreachable-code -Wno-unused-local-typedef -D_LIBCPP_DISABLE_AVAILABILITY -fcoroutines-ts -Werror=thread-safety -Wuser-defined-warnings -fmodules-cache-path=/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/projects/libcxx/test/std/depr/depr.str.strstreams/depr.istrstream/depr.istrstream.cons/Output/ccp_size.pass.cpp.dir/t.tmp/ModuleCache -Wno-macro-redefined -D_LIBCPP_HAS_THREAD_API_PTHREAD -Wno-macro-redefined -D_LIBCPP_ABI_VERSION=1 -lc++experimental -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -L/home/libcxx-builder/.buildkite-agent/builds/1eeebaa970c0-1/llvm-project/libcxx-ci/build/generic-cxx03/./lib -Wl,-rpath,/home/libcxx-builder/.buildkite…
View Full Test Results (2,405 Failed)

Event Timeline

smeenai created this revision.May 12 2021, 2:49 PM
smeenai requested review of this revision.May 12 2021, 2:49 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 12 2021, 2:49 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
phosek accepted this revision.May 19 2021, 9:40 AM
phosek added a subscriber: phosek.

LGTM

This revision is now accepted and ready to land.May 19 2021, 9:40 AM
smeenai updated this revision to Diff 346514.May 19 2021, 11:07 AM

Rebasing to see if tests are happier

This revision was landed with ongoing or failed builds.May 20 2021, 4:56 PM
This revision was automatically updated to reflect the committed changes.